# module RSS::XMLStyleSheetMixin

### Attributes

xml_stylesheets[RW]

### Public Class Methods

new(*args) click to toggle source
Calls superclass method

    # File lib/rss/xml-stylesheet.rb, line 8
    def initialize(*args)
      super
      @xml_stylesheets = []
    end

### Private Instance Methods

xml_stylesheet_pi() click to toggle source

    # File lib/rss/xml-stylesheet.rb, line 14
    def xml_stylesheet_pi
      xsss = @xml_stylesheets.collect do |xss|
        pi = xss.to_s
        pi = nil if /\A\s*\z/ =~ pi
        pi
      end.compact
      xsss.push("") unless xsss.empty?
      xsss.join("\n")
    end